store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Sat Dec 20, 2014 8:54 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 9 posts ] 
Author Message
 Post subject: [atomic] PHP 5.2.14-2
Unread postPosted: Fri Aug 13, 2010 1:36 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7964
Location: earth
This is a minor bugfix release for PHP 5.2.14, there are no fixes included from upstream.



Changelog:

* Bugfix #XXX, relinked packages against mysql 5.0 libraries on EL5
* Bugfix #XXX, removed a case where the PHP mail() header feature added "\r" to messages, this was incompatible with the SMTP mime header rfc.

To Upgrade:

yum upgrade php


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Mon Aug 23, 2010 10:37 am 
Offline
Forum User
Forum User

Joined: Tue Dec 21, 2004 7:53 am
Posts: 24
Hi,

It looks like this new PHP 5.2 release still includes the /etc/php.ini file from the PHP 5.3 distribution?

Is that on purpose or are you going to correct it in a future release?

Thanks.


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Mon Aug 23, 2010 10:42 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7964
Location: earth
somebody doesnt read the twitter feed :P


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Mon Aug 23, 2010 10:58 am 
Offline
Forum User
Forum User

Joined: Tue Dec 21, 2004 7:53 am
Posts: 24
I follow it, but I don't check Twitter that much. I went checking on it now, but I couldn't find anything about my question.

In order to know which php.ini file to use as reference to apply my customizations, I'm trying to understand if the PHP 5.3 php.ini included in the Atomic PHP 5.2 package is a feature and will stay remain also in future releases or if it was included by accident and the PHP 5.2 php.ini will replace it in a future release.

Thanks.


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Mon Aug 23, 2010 11:04 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7964
Location: earth
5.3.3 is in atomic-testing now


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Mon Aug 23, 2010 11:14 am 
Offline
Forum User
Forum User

Joined: Tue Dec 21, 2004 7:53 am
Posts: 24
I saw that, but we cannot upgrade to PHP 5.3 anytime soon, our applications are not tested with it.

So we'll have to stay with PHP 5.2 for the foreseeable future, that's why I'm trying to understanding if the Atomic PHP 5.2 package will keep the PHP 5.3 php.ini or if it will be updated with the correct PHP 5.2 php.ini in the next release.

Or did you mean that you are not going to do any new PHP 5.2 releases and only focus on PHP 5.3 from now on?
I hope you are going to keep supporting PHP 5.2 for some time, since not all applications are yet tested/compatible with PHP 5.3.

Thanks.


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Mon Aug 23, 2010 11:29 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7964
Location: earth
Its too early to say really


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Sat Oct 16, 2010 6:23 am 
Offline
Forum User
Forum User

Joined: Fri Feb 06, 2009 4:39 pm
Posts: 55
When trying "yum upgrade php" I'm getting a "No Packages marked for Update".

Here's my php -v

Code:
PHP 5.2.10 (cli) (built: Nov 13 2009 11:24:03)


It should update if everything was configured correctly, seems *.repo is not correct

Here is the *.repo files

Code:
/etc/yum.repos.d/CentOS-Base.repo
/etc/yum.repos.d/CentOS-Media.repo
/etc/yum.repos.d/asl.repo
/var/asl/data/templates/template-asl.repo



Here is my asl.repo

Code:
[asl-2.0]
name=Atomicorp -  - Atomic Secured Linux 2.0
baseurl=http://***:***@atomicorp.com/channels/asl-2.0/centos/5/i386
enabled=1
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
gpgcheck=1


[asl-2.0-testing]
name=Atomicorp -  - Atomic Secured Linux 2.0 (TESTING)
baseurl=http://***:***@atomicorp.com/channels/asl-2.0-testing/centos/5/i386
enabled=0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
gpgcheck=1


Of course "***" represents the real name and password.


So the big question why is PHP not being updated?

_________________
Linux CentOS 5.5 (Final)
Kernel Version 2.6.32.21-3.art.i686.PAE
ASL Version 2.2.11
Plesk 10.0.1


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.14-2
Unread postPosted: Sat Oct 16, 2010 9:04 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7964
Location: earth
It comes from the atomic repo, you can add that with:

wget -q -O - http://www.atomicorp.com/installers/atomic |sh


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 9 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group